<div id="top"></div>

        <div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
                <div class="left-container">
                    <div class = "manage_stall">
                        <div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="20px">
                            <div fxFlex>
                                <mat-tab-group (selectedTabChange)="tabClick($event)">
                                    <mat-tab label="{{stallPosition | titlecase}}">
                                      <div>
                                        <div class="bli-content-box">
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="ID Stall" value="" readonly>{{stall?.stall_id}}
                                            </mat-form-field>
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="Nama Stall" value="" readonly>{{stall?.food.name}}
                                            </mat-form-field>
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="Lokasi Stall" value=""  readonly>{{stall?.location | titlecase}}
                                            </mat-form-field>
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="Menu Makanan" value="" readonly>{{stall?.food.description | titlecase}}
                                            </mat-form-field>
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="Stok Booking" value="" readonly>{{stall?.book_stock}}
                                            </mat-form-field>
                                            <mat-form-field class="max-width">
                                                <input matInput placeholder="Stok Antrian" value="" readonly>{{stall?.queue_stock}}
                                            </mat-form-field>
                                        </div>
                                      </div>
                                    </mat-tab>
                          
                                    <mat-tab label="Atur Menu">
                                        <div class="bli-content-box">
                                            <form class="form" [formGroup]="newForm">
                                                <div>
                                                    <mat-form-field class="max-width">
                                                        <input matInput placeholder="Nama Stall" [ngModel]="stall?.food.name" id="stallName" type="text" formControlName="stallName"
                                                        class="form-control" required="">
                                                    </mat-form-field>
                                                    <div style="color:red" *ngIf="newForm.controls.stallName.invalid && (newForm.controls.stallName.dirty || newForm.controls.stallName.touched)" class="alert alert-danger">
                                                        <app-show-errors [control]="newForm.controls.stallName"></app-show-errors>
                                                    </div>
                                                    <mat-form-field class="max-width">
                                                        <input matInput placeholder="Menu Makanan" [ngModel]="stall?.food.description" id="menuMakanan" type="text" formControlName="menuMakanan"
                                                        class="form-control" required="">
                                                    </mat-form-field>
                                                    <div style="color:red" *ngIf="newForm.controls.menuMakanan.invalid && (newForm.controls.menuMakanan.dirty || newForm.controls.menuMakanan.touched)" class="alert alert-danger">
                                                        <app-show-errors [control]="newForm.controls.menuMakanan"></app-show-errors>
                                                    </div>
                                                    <mat-form-field class="max-width">
                                                        <input matInput type="number" placeholder="Stock Booking" [ngModel]="stall?.book_stock" id="stockBook" type="text" formControlName="stockBook"
                                                        class="form-control" required="">
                                                    </mat-form-field>
                                                    <div style="color:red" *ngIf="newForm.controls.stockBook.invalid && (newForm.controls.stockBook.dirty || newForm.controls.stockBook.touched)" class="alert alert-danger">
                                                        <app-show-errors [control]="newForm.controls.stockBook"></app-show-errors>
                                                    </div>
                                                    <mat-form-field class="max-width">
                                                        <input matInput type="number" placeholder="Stock Antrian" [ngModel]="stall?.queue_stock" id="stockQueue" type="text" formControlName="stockQueue"
                                                        class="form-control" required="">
                                                    </mat-form-field>
                                                    <div style="color:red" *ngIf="newForm.controls.stockQueue.invalid && (newForm.controls.stockQueue.dirty || newForm.controls.stockQueue.touched)" class="alert alert-danger">
                                                        <app-show-errors [control]="newForm.controls.stockQueue"></app-show-errors>
                                                    </div>
                                                    <button mat-raised-button color="primary" class="w-100" [disabled]="!newForm.valid" (click)="updateVendor(newForm.value)">Submit</button>
                                                </div>
                                            </form>
                                        </div>
                                    </mat-tab>
                                </mat-tab-group>
                            </div>
                        </div>   
                    </div>
                </div>
        
                <div class="right-container">
                    <div class="mat-elevation-z8">
                        <table mat-table [dataSource]="dataSourceBooking">

                            <!--- Note that these columns can be defined in any order.
                                    The actual rendered columns are set as a property on the row definition" -->
                            
                            <!-- Position Column -->
                            <ng-container matColumnDef="dt">
                                <th mat-header-cell *matHeaderCellDef> Date. </th>
                                <td mat-cell *matCellDef="let element"> {{element.dt}} </td>
                            </ng-container>
                            
                            <!-- Name Column -->
                            <ng-container matColumnDef="total_book">
                                <th mat-header-cell *matHeaderCellDef> Total </th>
                                <td mat-cell *matCellDef="let element"> {{element.total_book}} </td>
                            </ng-container>
                            
                            <!-- Weight Column -->
                            <ng-container matColumnDef="stall_name">
                                <th mat-header-cell *matHeaderCellDef> Menu Makanan </th>
                                <td mat-cell *matCellDef="let element"> {{element.stall_name}} </td>
                            </ng-container>
                            
                            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                        </table>
                        <mat-paginator [pageSizeOptions]="[10, 20, 30]" showFirstLastButtons></mat-paginator>
                    </div>
                            
                </div>
            </div>
    <div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="35px">
        <div fxFlex>
            <mat-card class="medal_container">
                <mat-icon class="sidenav-icon">star</mat-icon>
                <p class="words">{{rating}}/5.0</p>
                <a>Rating</a>
            </mat-card>
        </div>
        <div fxFlex>
            <mat-card class="medal_container">
                <mat-icon class="sidenav-icon">book</mat-icon>
                <p class="words">{{totalBookMonth}}</p>
                <a>Total Book this Month</a>
            </mat-card>
        </div>
        <div fxFlex>
            <mat-card class="medal_container">
                <mat-icon class="sidenav-icon">collections_bookmark</mat-icon>
                <p class="words">{{totalBook}}</p>
                <a>Total Book of All Time</a>
            </mat-card>
        </div>
        <div fxFlex>
            <mat-card class="medal_container">
                <mat-icon class="sidenav-icon">loyalty</mat-icon>
                <p class="words">{{totalSoldOut}}</p>
                <a>Sold Out</a>
            </mat-card>
        </div>
    </div>

    <div class="mb-20" fxLayout="row" fxLayout.lt-md="column" fxFlex fxLayoutGap="35px">
        <div fxFlex>
            <mat-card class="trophy_container">
                <img src="assets/images/neighbor.jpg" id="trophy_bg" alt="">
                <div class="dark_overlay">
            
                </div>
                <a class="trophy_text">{{totalVisitor}}</a>
                <a>Today's Visitor</a>
                <img src="assets/images/visitor id.png" id="visitor" alt="">
            </mat-card>
        </div>
        <div fxFlex>
            <mat-card class="trophy_container">
                    <img src="assets/images/bli_first_rank.jpg" id="trophy_bg" alt="">
                <div class="dark_overlay">
            
                </div>
                <a class="trophy_text">{{firstRank[0]}}</a>
                <a>BLI 1st Rank</a>
                <img src="assets/images/trophy.png" id="trophy" alt="">
            </mat-card>
        </div>
        <div fxFlex>
            <mat-card class="trophy_container">
                    <img src="assets/images/my_stall_rank.jpg" id="trophy_bg" alt="">
                <div class="dark_overlay">
            
                </div>
                <a class="trophy_text">{{stallRank}}</a>
                <a>Your Stall Rank</a>
                <img src="assets/images/trophy.png" id="trophy" alt="">
            </mat-card>
        </div>
    </div>